#!/bin/sh

TIXDIR=/opt/tixeoclient

ln -s "$TIXDIR/tixeoclient" /usr/bin/tixeoclient

if [ -d /usr/share/icons/hicolor/scalable/apps ]; then
	ln -s "$TIXDIR/Res/tixeoclient.svg" /usr/share/icons/hicolor/scalable/apps/tixeo-tixeoclient.svg || true
fi

if [ -d /usr/share/applications ]; then
	ln -s "$TIXDIR/Res/tixeo-tixeoclient.desktop" /usr/share/applications/tixeo-tixeoclient.desktop || true
	/usr/bin/xdg-icon-resource install --context apps --size 64 --mode system "$TIXDIR/Res/tixeoclient.png" tixeo-tixeoclient || true
	/usr/bin/xdg-desktop-menu install /usr/share/applications/tixeo-tixeoclient.desktop || true
	# install shortcut on desktop
	#/usr/bin/xdg-desktop-icon install /usr/share/applications/tixeo-tixeoclient.desktop
	# tool to build a cache database of the MIME types handled by desktop files.
	#/usr/bin/update-desktop-database

	# associate .w3d to tixeo
	MIMELIST=/usr/share/applications/mimeapps.list
	if [ -f "$MIMELIST" ]; then
		/bin/grep -q tixeo-tixeoclient "$MIMELIST" || echo "x-scheme-handler/w3d=tixeo-tixeoclient.desktop;" >> "$MIMELIST" || true
	fi
fi

FILELIBAYATANA=/lib/x86_64-linux-gnu/libayatana-appindicator3.so.1
if [ -f "$FILELIBAYATANA" ]; then
  ln -s "$FILELIBAYATANA" "$TIXDIR/libappindicator3.so.1" || true
fi

